Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.swt.accessibility
Class AccessibleControlEvent

    java.lang.Object
      SWTEventObject
          org.eclipse.swt.accessibility.AccessibleControlEvent

public class AccessibleControlEvent
extends SWTEventObject

Instances of this class are sent as a result of accessibility clients sending messages to controls asking for detailed information about the implementation of the control instance. Typically, only implementors of custom controls need to listen for this event.

Note: The meaning of each field depends on the message that was sent.

Since:
  1.4
See Also:
  `AccessibleControlListener`, `AccessibleControlAdapter`, Sample code and further information, Serialized Form

Field Summary
`Accessible` `accessible`
`int` `childID`
`Object[]` `children`
`int` `detail`
`int` `height`
`String` `result`
`int` `width`
`int` `x`
`int` `y`

Constructor Summary
`AccessibleControlEvent(Object source)` Constructs a new instance of this class.

Method Summary
`String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### childID

    public int childID

### accessible

    public Accessible accessible

### x

    public int x

### y

    public int y

### width

    public int width

### height

    public int height

### detail

    public int detail

### result

    public String result

### children

    public Object[] children

Constructor Detail

### AccessibleControlEvent

    public AccessibleControlEvent(Object source)

  Constructs a new instance of this class.

Parameters:
  `source` - the object that fired the event

Method Detail

### toString

    public String toString()

  Returns a string containing a concise, human-readable description of the receiver.

  Returns:
    a string representation of the event

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.